﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@model Toyota.Common.Web.MVC.ModelHolder

@*<table border="0" cellpadding="2" cellspacing="2">
    <tr>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "DCL No";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "DCL_NO";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(120);
                    edtSettings.Text = "";
                    edtSettings.Properties.ValidationSettings.EnableCustomValidation = true;
                    edtSettings.Properties.MaxLength = 11;
                    edtSettings.Properties.ClientSideEvents.KeyPress = @"
                    function cek (s,e){
                        var theEvent = e.htmlEvent || window.event;
                        var key = theEvent.keyCode || theEvent.which;
                        if(key==13)
                        {
                            //getDataByDCL();
                            DOCK_CD.SetFocus();
                        }
                    }
                        ";
                    //edtSettings.Properties.ValidationSettings.ErrorDisplayMode = ErrorDisplayMode.Text;
                    //edtSettings.Properties.ValidationSettings.ErrorTextPosition = ErrorTextPosition.Bottom;
                    //edtSettings.Properties.ValidationSettings.RegularExpression.ValidationExpression = "^[a-zA-Z0-9]$";

                    //edtSettings.Properties.ValidationSettings.ErrorFrameStyle.Font.Size = FontSize.Smaller;
                }).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Dock Code";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "DOCK_CD";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(120);
                    edtSettings.Text = "";
                    edtSettings.Properties.ValidationSettings.EnableCustomValidation = true;
                    edtSettings.Properties.MaxLength = 11;
                    edtSettings.Properties.ClientSideEvents.KeyPress = @"
                    function cek (s,e){
                        var theEvent = e.htmlEvent || window.event;
                        var key = theEvent.keyCode || theEvent.which;
                        if(key==13)
                        {
                            getDataByDCL();
                            
                        }
                    }
                        ";
                    //edtSettings.Properties.ValidationSettings.ErrorDisplayMode = ErrorDisplayMode.Text;
                    //edtSettings.Properties.ValidationSettings.ErrorTextPosition = ErrorTextPosition.Bottom;
                    //edtSettings.Properties.ValidationSettings.RegularExpression.ValidationExpression = "^[a-zA-Z0-9]$";

                    //edtSettings.Properties.ValidationSettings.ErrorFrameStyle.Font.Size = FontSize.Smaller;
                }).GetHtml()
        </td>
    </tr>
    <tr>
        <td align="right" colspan="2" style="padding-right:30px;">
            @Html.DevExpress().Button(
            button =>
            {
                button.Name = "btnReceive";
                button.Text = "Receive";
                button.Width = Unit.Pixel(80);
                button.Style.Add("display", "inline-table");
                button.ClientSideEvents.Click = "GridCallback";

            }).GetHtml()

            @Html.DevExpress().Button(
            button =>
            {
                button.Name = "btnDownload";
                button.Text = "Download";
                button.Width = Unit.Pixel(80);
                button.Style.Add("display", "inline-table");
                button.ClientSideEvents.Click = "BeginCallbackDownload";

            }).GetHtml()
        </td>

        <td style="display:inline-block;">
            @using (Html.BeginForm("Reading", "D31401", FormMethod.Post, new { enctype = "multipart/form-data" }))
            {
                @Html.DevExpress().UploadControl(
                                settings =>
                                {
                                    settings.Name = "ucCallbacks";
                                    settings.CallbackRouteValues = new { Controller = "KanbanReceiving", Action = "CallbacksUpload" };
                                    settings.Width = 150;
                                    settings.ValidationSettings.Assign(Portal.Controllers.Delivery.Invoice.D31401Controller.UploadControlHelper.ValidationSettings);
                                    settings.ClientSideEvents.FileUploadComplete = "function(s,e){ uploadcomplete(e.errorText); }";
                                    settings.ShowProgressPanel = false;


                                }).GetHtml()
            }
        </td>
        <td style="display:inline-block;">
            <input type="button" value="Upload" class="dxbButton_IPPCSBlue" style="height:29px" onclick="send();" />
            @Html.DevExpress().Button(
                                        settings =>
                                        {
                                            settings.Name = "btnUpload";
                                            settings.Text = "Upload";
                                            settings.UseSubmitBehavior = false;
                                            settings.Width = 80;
                                            settings.ClientSideEvents.Click = "DoUpload";
                                        }
                                    ).GetHtml()
        </td>

    </tr>
</table>*@

<div style="float:left; display:inline;">
    <table border="0" cellpadding="2" cellspacing="2">
        <tr>
            <td>
                @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Plant - Dock";
                label.Style.Add("padding-right", "10px");
            }).GetHtml()
            </td>
            <td>:</td>
            <td>
                <div style="float:left; width:50px; margin-right:5px;">

                    @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "RECEIVING_PLANT";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(50);
                    edtSettings.Text = @ViewBag.RECEIVING_PLANT;
                    edtSettings.Properties.ValidationSettings.EnableCustomValidation = true;
                    edtSettings.Properties.MaxLength = 11;
                    edtSettings.Properties.ClientSideEvents.KeyPress = @"
                    function cek (s,e){
                        var theEvent = e.htmlEvent || window.event;
                        var key = theEvent.keyCode || theEvent.which;
                        if(key==13)
                        {
                            //getDataByDCL();
                            DOCK_CD.SetFocus();
                        }
                    }
                        ";
                    //edtSettings.Properties.ValidationSettings.ErrorDisplayMode = ErrorDisplayMode.Text;
                    //edtSettings.Properties.ValidationSettings.ErrorTextPosition = ErrorTextPosition.Bottom;
                    //edtSettings.Properties.ValidationSettings.RegularExpression.ValidationExpression = "^[a-zA-Z0-9]$";

                    //edtSettings.Properties.ValidationSettings.ErrorFrameStyle.Font.Size = FontSize.Smaller;
                }).GetHtml()
                </div>

                <div style="float:left; width:3px; margin-right:5px;">
                    -
                </div>

                <div style="float:left; width:80px;">
                    @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "DOCK_CD";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(50);
                    edtSettings.Text = @ViewBag.DOCK_CD;
                    edtSettings.Properties.ValidationSettings.EnableCustomValidation = true;
                    edtSettings.Properties.MaxLength = 11;
                    edtSettings.Properties.ClientSideEvents.KeyPress = @"
                    function cek (s,e){
                        var theEvent = e.htmlEvent || window.event;
                        var key = theEvent.keyCode || theEvent.which;
                        if(key==13)
                        {
                            //getDataByDCL();
                            DELIVERY_NO.SetFocus();
                        }
                    }
                        ";
                    //edtSettings.Properties.ValidationSettings.ErrorDisplayMode = ErrorDisplayMode.Text;
                    //edtSettings.Properties.ValidationSettings.ErrorTextPosition = ErrorTextPosition.Bottom;
                    //edtSettings.Properties.ValidationSettings.RegularExpression.ValidationExpression = "^[a-zA-Z0-9]$";

                    //edtSettings.Properties.ValidationSettings.ErrorFrameStyle.Font.Size = FontSize.Smaller;
                }).GetHtml()
                </div>
            </td>
            <td>&nbsp;</td>
            <td>&nbsp;</td>
            <td width="100">&nbsp;</td>
            <td>
                @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Route";
                label.Style.Add("padding-right", "10px");
            }).GetHtml()
            </td>
            <td>:</td>
            <td>
                @Html.DevExpress().Label(
            label =>
            {
                label.Name = "lblRoute";
                label.ControlStyle.CssClass = "Label";
                label.Style.Add("padding-right", "10px");
            }).GetHtml()
            </td>
        </tr>
        <tr>
            <td>
                @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Delivery No";
                label.Style.Add("padding-right", "10px");
            }).GetHtml()
            </td>
            <td>:</td>
            <td>
                @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "DELIVERY_NO";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(143);
                    edtSettings.Text = @ViewBag.DELIVERY_NO;
                    edtSettings.Properties.ValidationSettings.EnableCustomValidation = true;
                    edtSettings.Properties.MaxLength = 13;
                    edtSettings.Properties.ClientSideEvents.KeyPress = @"
                    function cek (s,e){
                        var theEvent = e.htmlEvent || window.event;
                        var key = theEvent.keyCode || theEvent.which;
                        if(key==13)
                        {
                            //getDataByDCL();
                            //DOCK_CD.SetFocus();
                            search();
                        }
                    }
                        ";
                }).GetHtml()
            </td>
            <td>&nbsp;</td>
            <td>&nbsp;</td>
            <td width="100">&nbsp;</td>
            <td>&nbsp;</td>
            <td>&nbsp;</td>
            <td>&nbsp;</td>
        </tr>
        <tr>


            <td>
                @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Supplier Code - Plant";
                label.Style.Add("padding-right", "10px");
            }).GetHtml()
            </td>
            <td>:</td>
            <td>
                <div style="float:left; width:60px; margin-right:5px;">
                    @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "SupplierOption";
                    gridLookup.Width = Unit.Pixel(60);
                    gridLookup.Text = @ViewBag.SUPPLIER_CD;
                    gridLookup.GridProperties.KeyFieldName = "SUPPLIER_CODE";
                    gridLookup.GridProperties.Settings.VerticalScrollableHeight = 130;
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "KanbanReceiving", Action = "SupplierLookup" };
                    gridLookup.ReadOnly = false;
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    gridLookup.GridProperties.Width = Unit.Pixel(300);
                    gridLookup.GridProperties.SettingsPager.PageSize = 10;
                    gridLookup.GridProperties.ClientSideEvents.SelectionChanged = @"function(s,e){testSSS();}";
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPPLIER_CODE";
                        column.FieldName = "SUPPLIER_CODE";
                        column.Caption = "Status";
                        column.Width = 60;
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPPLIER_NAME";
                        column.FieldName = "SUPPLIER_NAME";
                        column.Caption = "Name";
                        column.Width = 300;
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });

                }).Bind(ViewData["SupplierLookup"]).GetHtml()
                </div>
                <div style="float:left; width:3px; margin-right:5px;">
                    -
                </div>
                <div style="float:left; width:50px; margin-right:5px;">
                    @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "SUPPLIER_PLANT_CD";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(50);
                    edtSettings.Text = @ViewBag.SUPPLIER_PLANT_CD;
                    edtSettings.Properties.ValidationSettings.EnableCustomValidation = true;
                    edtSettings.Properties.MaxLength = 11;

                    edtSettings.Properties.ClientSideEvents.KeyPress = @"
                    function cek (s,e){
                        var theEvent = e.htmlEvent || window.event;
                        var key = theEvent.keyCode || theEvent.which;
                        if(key==13)
                        {
                            //getDataByDCL();
                            DOCK_CD.SetFocus();
                        }
                    }
                        ";
                    //edtSettings.Properties.ValidationSettings.ErrorDisplayMode = ErrorDisplayMode.Text;
                    //edtSettings.Properties.ValidationSettings.ErrorTextPosition = ErrorTextPosition.Bottom;
                    //edtSettings.Properties.ValidationSettings.RegularExpression.ValidationExpression = "^[a-zA-Z0-9]$";

                    //edtSettings.Properties.ValidationSettings.ErrorFrameStyle.Font.Size = FontSize.Smaller;
                }).GetHtml()
                </div>

            </td>

            <td>&nbsp;</td>
            <td>&nbsp;</td>
            <td>&nbsp;</td>
            <td>
                @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Rit";
                label.Style.Add("padding-right", "10px");
            }).GetHtml()
            </td>
            <td>:</td>
            <td>
                @Html.DevExpress().Label(
            label =>
            {
                label.Name = "lblRit";
                label.ControlStyle.CssClass = "Label";

                label.Style.Add("padding-right", "10px");
            }).GetHtml()
            </td>

        </tr>

        <tr>
            <td>
                @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Truck Station";
                label.Style.Add("padding-right", "10px");
            }).GetHtml()
            </td>
            <td>:</td>
            <td>
                @Html.DevExpress().Label(
            label =>
            {
                label.Name = "lblTruckStation";
                label.ControlStyle.CssClass = "Label";

                label.Style.Add("padding-right", "10px");
            }).GetHtml()
            </td>
            <td>&nbsp;</td>
            <td>&nbsp;</td>
            <td>&nbsp;</td>
            <td>
                @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Rcv Status (All)";
                label.Style.Add("padding-right", "10px");
            }).GetHtml()
            </td>
            <td>:</td>
            <td>
                <table border="0">
                    <tr>
                        <td>
                            <div id="circle" class="circle">&nbsp;</div>
                        </td>
                        <td>
                            @Html.DevExpress().Label(
                        label =>
                        {
                            label.Name = "lblPercentage";
                            label.ControlStyle.CssClass = "Label";
                            label.Text = "0%";
                            label.Style.Add("padding-right", "10px");
                        }).GetHtml()
                        </td>
                    </tr>
                </table>
            </td>
        </tr>

    </table>
</div>
<div style="float:left; margin-left:10px; display:inline;">
<table border="0">
    <tr>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Arrival";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
        </td>
        <td>&nbsp;</td>
        <td width="200">&nbsp;</td>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Start Rcv Check";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
        </td>
        <td>&nbsp;</td>
        <td width="123">&nbsp;</td>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Departure";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Plan";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
        </td>
        <td>:</td>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Name = "lblArrivalPlan";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Plan";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
        </td>
        <td>:</td>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Name = "lblCheckPlan";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Plan";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
        </td>
        <td>:</td>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Name = "lblDeparturePlan";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Actual";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
        </td>
        <td>:</td>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Name = "lblArrivalActual";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Actual";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
        </td>
        <td>:</td>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Name = "lblCheckActual";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Actual";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
        </td>
        <td>:</td>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Name = "lblDepartureActual";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
        </td>
    </tr>
</table>
    </div>
<div style="clear:both;">&nbsp;</div>
<div style="float:left; display:inline; margin-left:3px;">
    <table border="0">
        <tr>
            <td style="display:inline-block;">
              
                @using (Html.BeginForm("Reading", "D31401", FormMethod.Post, new { enctype = "multipart/form-data" }))
                {
                    @Html.DevExpress().UploadControl(
                                    settings =>
                                    {
                                        settings.Name = "ucCallbacks";
                                        settings.CallbackRouteValues = new { Controller = "KanbanReceiving", Action = "CallbacksUpload" };
                                        settings.Width = 150;
                                        settings.ValidationSettings.Assign(Portal.Controllers.Delivery.Invoice.D31401Controller.UploadControlHelper.ValidationSettings);
                                        settings.ClientSideEvents.FileUploadComplete = "function(s,e){ uploadcomplete(e.errorText); }";
                                        settings.ShowProgressPanel = false;


                                    }).GetHtml()
            }
                </td>
                <td style="display:inline-block;">
                <!--<input type="button" value="Upload" class="dxbButton_IPPCSBlue" style="height:29px" onclick="send();" />-->
                @Html.DevExpress().Button(
                settings =>
                {
                    settings.Name = "btnUpload";
                    settings.Text = "Upload";
                    settings.UseSubmitBehavior = false;
                    settings.Width = 80;
                    settings.ClientSideEvents.Click = "DoUpload";
                }
            ).GetHtml()
                </td>
</tr>
    </table>
</div>
@*<div style="float:left; display:inline; margin-left:3px;">
@Html.DevExpress().Button(
    button =>
    {
        button.Name = "btnDownload";
        button.Text = "Download";
        button.Width = Unit.Pixel(80);
        button.Style.Add("display", "inline-table");
        button.ClientSideEvents.Click = "BeginCallbackDownload";

    }).GetHtml()
</div>*@
<div style="float:right; display:inline">
    <table border="0">
        <tr>
            <td>
                @Html.DevExpress().Button(
            button =>
            {
                button.Name = "btnSearch";
                button.Text = "Search";
                button.Width = Unit.Pixel(80);
                button.Style.Add("display", "inline-table");
                button.ClientSideEvents.Click = "search";

            }).GetHtml()

            </td>
            <td>
                @Html.DevExpress().Button(
            button =>
            {
                button.Name = "btnClear";
                button.Text = "Clear";
                button.Width = Unit.Pixel(80);
                button.Style.Add("display", "inline-table");
                button.ClientSideEvents.Click = "clear";

            }).GetHtml()

            </td>
            @*<td>*@

            @*</td>
                <td style="display:inline-block;">*@
            @*@using (Html.BeginForm("Reading", "D31401", FormMethod.Post, new { enctype = "multipart/form-data" }))
                {
                    @Html.DevExpress().UploadControl(
                                        settings =>
                                        {
                                            settings.Name = "ucCallbacks";
                                            settings.CallbackRouteValues = new { Controller = "KanbanReceiving", Action = "CallbacksUpload" };
                                            settings.Width = 150;
                                            settings.ValidationSettings.Assign(Portal.Controllers.Delivery.Invoice.D31401Controller.UploadControlHelper.ValidationSettings);
                                            settings.ClientSideEvents.FileUploadComplete = "function(s,e){ uploadcomplete(e.errorText); }";
                                            settings.ShowProgressPanel = false;


                                        }).GetHtml()
                }*@
            @*</td>*@
            @*<td style="display:inline-block;">*@
            <!--<input type="button" value="Upload" class="dxbButton_IPPCSBlue" style="height:29px" onclick="send();" />-->
            @*@Html.DevExpress().Button(
                    settings =>
                    {
                        settings.Name = "btnUpload";
                        settings.Text = "Upload";
                        settings.UseSubmitBehavior = false;
                        settings.Width = 80;
                        settings.ClientSideEvents.Click = "DoUpload";
                    }
                ).GetHtml()*@
            @*</td>*@
        </tr>
    </table>
</div>